Bug 125522 - gedit "Save As..." gtk_file_selector does not include network mounted volumes
gedit "Save As..." gtk_file_selector does not include network mounted volumes
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 10:38 EDT by James Laska
Modified: 2013-09-02 01:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 08:28:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2004-06-08 10:38:02 EDT
RPM: gedit-2.6.1-1

The gedit "Open File..." dialog includes volumes (sftp) that I have
network mounted from nautilus.  However, the "Save As..."
gtk_file_selector does not include these volumes.  I have write access
to the volumes as I can click'n'drag files to/from in nautilus.

In talking with alex on IRC, it was suggested that the app must set
gtk_file_chooser_set_local_only(foo, FALSE) to enable remote files. 
It appears in gedit/gedit-file-selector-util.c:478 in run_file_selector()

    gtk_file_chooser_set_local_only (GTK_FILE_CHOOSER (dialog),
                     !enable_vfs);

May do this, but I cannot determine what the value of enable_vfs is at
this time.
Comment 1 Marco Pesenti Gritti 2004-10-15 08:28:33 EDT
I think this would require to use gnome-vfs in gedit to save files. Otherwise
the would show the volumes but would not be able to save in them.
This is filed upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=110191

Note You need to log in before you can comment on or make changes to this bug.